Create an SBM server
A POST request to /v1/hosts/sbm_servers will create a new SBM server. Specify order details in the request body.
Authorization
bearerAuth In: header
Request Body
| Field | Details |
|---|---|
location_id | integerA unique identifier of a location. A request to list all the location IDs is described in the Location block. |
sbm_flavor_model_id | integerA unique identifier of an SBM flavor. To list all flavors, use the relevant request. |
array<object>An array of names given to servers and set up on the server's side. Each hostname consists of letters (a to z), digits (0 to 9), delimiter dots (.), and a hyphen (-). A maximum is 253 symbols. Each part divided by a dot can be no longer than 63 symbols. This parameter defines the number of servers. As many hostnames are specified, as many servers will be created. All these servers will have the same characteristics according to the rest parameters in the request. | |
operating_system_id | integerA unique identifier of an operating system. To get a list of available OS for an SBM flavor, refer to the relevant request. |
ssh_key_fingerprints? | array<string>A fingerprint of an SSH key to access the server. This fingerprint has to be already created. Check SSH keys you have, or create a new one in the the relevant section. |
user_data? | stringThis parameter is unavailable for the SBM service. |
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/hosts/sbm_servers" \ -H "Content-Type: application/json" \ -d '{ "sbm_flavor_model_id": 553, "location_id": 257, "hosts": [ { "hostname": "example.aa", "public_ipv4_network_id": "lNbWQWey", "private_ipv4_network_id": "oQeZzvep", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } }, { "hostname": "example.bb", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } } ], "operating_system_id": 42 }'[ { "id": "J0dNOLeL", "rack_id": null, "title": "example.aa", "location_id": 257, "location_code": "location538", "status": "init", "operational_status": "provisioning", "power_status": "unknown", "configuration": "1 x cpu_name, 4096 GB, hdd-model-630 x 1, hdd-model-631 x 1", "private_ipv4_address": "10.128.1.4", "public_ipv4_address": "100.0.8.4", "lease_start_at": null, "scheduled_release_at": null, "type": "sbm_server", "oob_ipv4_address": null, "configuration_details": { "ram_size": 4096, "sbm_flavor_model_id": 553, "sbm_flavor_model_name": "flavor-model-629", "bandwidth_id": 550, "bandwidth_name": "20000 GB", "private_uplink_id": 549, "private_uplink_name": "Private 1 Gbps without redundancy", "public_uplink_id": 548, "public_uplink_name": "Public 1 Gbps without redundancy", "operating_system_id": 42, "operating_system_full_name": "CentOS 7 x86_64" }, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2026-05-28T06:56:43Z", "updated_at": "2026-05-28T06:56:43Z" }, { "id": "3YaOggax", "rack_id": null, "title": "example.bb", "location_id": 257, "location_code": "location538", "status": "init", "operational_status": "provisioning", "power_status": "unknown", "configuration": "1 x cpu_name, 4096 GB, hdd-model-630 x 1, hdd-model-631 x 1", "private_ipv4_address": null, "public_ipv4_address": null, "lease_start_at": null, "scheduled_release_at": null, "type": "sbm_server", "oob_ipv4_address": null, "configuration_details": { "ram_size": 4096, "sbm_flavor_model_id": 553, "sbm_flavor_model_name": "flavor-model-629", "bandwidth_id": 550, "bandwidth_name": "20000 GB", "private_uplink_id": 549, "private_uplink_name": "Private 1 Gbps without redundancy", "public_uplink_id": 548, "public_uplink_name": "Public 1 Gbps without redundancy", "operating_system_id": 42, "operating_system_full_name": "CentOS 7 x86_64" }, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2026-05-28T06:56:43Z", "updated_at": "2026-05-28T06:56:43Z" }]